org.jetlang.web

## Class SendResult

- java.lang.Object
- - org.jetlang.web.SendResult

Direct Known Subclasses:
  SendResult.Buffered, SendResult.FailedWithError

    public class SendResult
    extends Object

### Nested Class Summary

Nested Classes
`static class` `SendResult.Buffered`
`static class` `SendResult.FailedWithError`
`static class` `SendResult.Type`

### Field Summary

Fields
`static SendResult` `Closed`
`static SendResult` `SUCCESS`

### Constructor Summary

Constructors
Constructor and Description
`SendResult(SendResult.Type type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SendResult.Type` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUCCESS

    public static final SendResult SUCCESS

#### Closed

    public static final SendResult Closed

### Constructor Detail

#### SendResult

    public SendResult(SendResult.Type type)

### Method Detail

#### getType

    public SendResult.Type getType()